Name:       tamil-typing-booster
Version:    0.9.0
Release:    2%{?dist}
Summary:    Tamil typing booster tables for IBus indic table
License:    GPLv3+
Group:      System Environment/Libraries
URL:        https://fedorahosted.org/indic-typing-booster/
Source0:    https://fedorahosted.org/releases/i/n/indic-typing-booster/%{name}-%{version}.tar.gz
BuildArch:  noarch
Patch1: name.patch

Requires:         ibus-indic-table
BuildRequires:    ibus-indic-table

%description
Tamil typing booster package contain tables \
for tamil-99 and inscript layout.

%package -n %{name}-99
Requires:  ibus-indic-table
Provides: %{name} = %{version}-%{release}
Obsoletes: %{name} < 0.0.1-5
Summary:   Tamil 99 typing booster table for ibus indic tables

%description -n %{name}-99
This package contains tamil-99 layout table for Tamil language.

%package -n %{name}-inscript
Requires:  ibus-indic-table
Provides: %{name} = %{version}-%{release}
Obsoletes: %{name} < 0.0.1-5
Summary:   Tamil inscript typing booster table for ibus indic tables

%description -n %{name}-inscript
This package contains inscript table for Tamil language.

%prep
%setup -q
%patch1 -p1 -b .1-imrpoved-name

%build
%configure \
  --enable-tamil-99 \
  --enable-tamil-inscript
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install
cd ${RPM_BUILD_ROOT}/%{_datadir}/ibus-indic-table/indic-tables/
%{_bindir}/ibus-indic-table-createdb -i -n tamil-99.db
%{_bindir}/ibus-indic-table-createdb -i -n tamil-inscript.db

%files -n %{name}-99
%doc AUTHORS COPYING README ChangeLog HOWTO
%{_datadir}/ibus-indic-table/icons/tamil.png
%{_datadir}/ibus-indic-table/indic-tables/tamil-99.db

%files -n %{name}-inscript
%doc AUTHORS COPYING README ChangeLog HOWTO
%{_datadir}/ibus-indic-table/icons/tamil.png
%{_datadir}/ibus-indic-table/indic-tables/tamil-inscript.db


%changelog
* Wed Jan 04 2012 Pravin Satpute <psatpute@redhat.com> - 0.9.0-2
- improved name

* Tue Jan 03 2012 Pravin Satpute <psatpute@redhat.com> - 0.9.0-1
- Upstream 0.9.0 release

* Fri Dec 23 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-6
- Resolved bug 770063, help contents

* Tue Dec 13 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-5
- Subpackaging as user will not required both db at same time

* Tue Oct 25 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-4
- Enhancement inscript characters

* Mon Oct 03 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-3
- Resolved bug 742864

* Mon Jul 04 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-2
- Resolved bug 718626

* Tue Jun 21 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-1
- The first version.
- Added Tamil 99
- Added Tamil Inscript
